<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:frmwrk="Corel Framework Data">
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>

  <!-- Use these elements for the framework to move the container from the app config file to the user config file -->
  <frmwrk:uiconfig>
    <!-- The Application Info should always be the topmost frmwrk element -->
    <frmwrk:applicationInfo userConfiguration="true" />
  </frmwrk:uiconfig>

  <!-- Copy everything -->
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/items">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
      
      <!-- Define the button which shows the docker -->
      <itemData guid="a4de07ff-ee2c-428b-81b5-48b698b9a758" noBmpOnMenu="true"
                type="checkButton"
                check="*Docker('c5e32818-4264-4408-ae8d-ed3d2d2bbeff')"
                dynamicCategory="2cc24a3e-fe24-4708-9a74-9c75406eebcd"
                userCaption="Woodman Panel"
                enable="true"/>

      <!-- Define the web control which will be placed on our docker -->
      <itemData guid="b6453a97-c39d-4fee-a8b9-e630d7e6d8bf"
                type="browser"
                href="[VGAppAddonsDir]/wpanel/wpanel.html"
                enable="true"
                appStyles="false" />
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/dockers">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
      
      <!-- Define the web docker -->
      <dockerData guid="c5e32818-4264-4408-ae8d-ed3d2d2bbeff"
                  userCaption="Woodman Panel"
                  wantReturn="true"
                  focusStyle="noThrow">
        <container>
          <!-- add the webpage control to the docker -->
          <item dock="fill" margin="0,0,0,0" guidRef="b6453a97-c39d-4fee-a8b9-e630d7e6d8bf"/>
        </container>
      </dockerData>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
